> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# customobjectlist

> <see cref="T:SuperOffice.CRM.Lists.CustomObjectListProvider" /> creates tree list of the custom objects

## "customobjectlist" MDO List

<see cref="T:SuperOffice.CRM.Lists.CustomObjectListProvider" /> creates tree list of the custom objects

Implemented by the <see cref="T:SuperOffice.CRM.Lists.CustomObjectListProvider">CustomObjectListProvider</see> class.
The name of the MDO list is 'customobjectlist'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/customobjectlist
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("customobjectlist", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name         | StyleHint | ExtraInfo                             |
| -- | ------------ | --------- | ------------------------------------- |
| 6  | Phone        |           | parentId=6\&tableName=y\_phone        |
| 5  | Organization |           | parentId=6\&tableName=y\_organization |
| 4  | CarBrand     |           | parentId=6\&tableName=y\_carbrand     |
| 3  | Car          |           | parentId=6\&tableName=y\_car          |
| 2  | Rental       |           | parentId=-1\&tableName=y\_rental      |
| 1  | Equipment    |           | parentId=-1\&tableName=y\_equipment   |

## Related MDO Lists

* "customobjectlistheadings"
* "customobjectlistheadingswithallitem"
* "customobjectlistheadingswithallitemwithnoselection"
* "customobjectlistheadingswithnoselection"
* "customobjectlistwithallitem"
* "customobjectlistwithallitemwithnoselection"
* "customobjectlistwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
